/*=============== GOOGLE FONTS ===============*/

@import url("https://fonts.googleapis.com/css2?family=Dancing+Script:wght@600&family=Lora:wght@500;600&family=Poppins:wght@400;500&display=swap");

/*=============== VARIABLES CSS ===============*/

:root {
    --header-height: 3.5rem;
    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    --first-color: hsl(19, 64%, 54%);
    --first-color-alt: hsl(19, 64%, 52%);
    --title-color: hsl(19, 16%, 15%);
    --text-color: hsl(19, 16%, 35%);
    --text-color-light: hsl(19, 8%, 55%);
    --body-color: hsl(19, 100%, 96%);
    --container-color: hsl(19, 100%, 97%);
    /*========== Font and typography ==========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: "Poppins", sans-serif;
    --title-font: "Lora", serif;
    --subtitle-font: "Dancing Script", cursive;
    --biggest-font-size: 2.25rem;
    --h1-font-size: 1.5rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1rem;
    --normal-font-size: .938rem;
    --small-font-size: .813rem;
    --smaller-font-size: .75rem;
    /*========== Font weight ==========*/
    --font-medium: 500;
    --font-semi-bold: 600;
    /*========== z index ==========*/
    --z-tooltip: 10;
    --z-fixed: 100;
}

@media screen and (min-width: 1024px) {
     :root {
        --biggest-font-size: 4rem;
        --h1-font-size: 2.25rem;
        --h2-font-size: 1.5rem;
        --h3-font-size: 1.25rem;
        --normal-font-size: 1rem;
        --small-font-size: .875rem;
        --smaller-font-size: .813rem;
    }
}


/*=============== BASE ===============*/

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    background-color: var(--body-color);
    color: var(--text-color);
    transition: background 0.4s;
    /* for dark mode animation */
}

h1,
h2,
h3 {
    color: var(--title-color);
    font-weight: var(--font-medium);
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
    height: auto;
}


/*=============== THEME ===============*/


/*========== Variables Dark theme ==========*/


/*========== 
    Color changes in some parts of 
    the website, in light theme
==========*/


/*=============== REUSABLE CSS CLASSES ===============*/

.container {
    max-width: 1024px;
    margin-inline: 1.5rem;
}

.grid {
    display: grid;
    gap: 1.5rem;
}

.section {
    padding-block: 5rem 1rem;
}

.section__title {
    font-size: var(--h1-font-size);
    font-family: var(--title-font);
    margin-bottom: 1.5rem;
}

.section__subtitle {
    display: block;
    font-size: var(--h2-font-size);
    font-family: var(--subtitle-font);
    color: var(--first-color);
    margin-bottom: 0.5rem;
}

.section__title,
.section__subtitle {
    text-align: center;
}

.main {
    overflow: hidden;
    /* For animation ScrollReveal */
}


/*=============== HEADER & NAV ===============*/

.header {
    position: fixed;
    width: 100%;
    background-color: var(--body-color);
    top: 0;
    left: 0;
    z-index: var(--z-fixed);
    transition: box-shadow .3s, background .4s;
}

.nav {
    position: relative;
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav__logo,
.nav__toggle,
.nav_close {
    display: flex;
    color: var(--title-color);
}

.nav__logo {
    align-items: center;
    column-gap: .5rem;
    font-family: var(--title-font);
    font-size: var(--h3-font-size);
    font-weight: var(--font-semi-bold);
    transition: color .3s;
}

.nav__logo img {
    width: 25px;
}

.nav__logo:hover {
    color: var(--first-color);
}

.nav__toggle {
    font-size: 1.25rem;
    cursor: pointer;
}

@media screen and (max-width: 767px) {
    .nav__menu {
        position: fixed;
        top: -100%;
        left: 0;
        background: var(--body-color);
        width: 100%;
        box-shadow: 0 8px 20px hsl(19, 64%, 24%, .1);
        padding-block: 3.5rem;
        transition: top .4s;
    }
}

.nav__list {
    display: flex;
    flex-direction: column;
    text-align: center;
    row-gap: 2rem;
}

.nav__link {
    color: var(--title-color);
    font-weight: var(--font-medium);
    transition: color .4s;
}

.nav__link:hover {
    color: var(--first-color);
}

.nav__close {
    position: absolute;
    top: 1rem;
    right: 1.5rem;
    font-size: 1.5rem;
    cursor: pointer;
}

.nav__img-1,
.nav__img-2 {
    position: absolute;
    opacity: .2;
}

.nav__img-1 {
    width: 100px;
    top: 75px;
    left: -2rem;
    transform: rotate(165deg);
}

.nav__img-2 {
    width: 50px;
    right: -1rem;
    bottom: 0;
    transform: rotate(30deg);
}


/* Show menu */

.show-menu {
    top: 0;
}


/* Change background header */

.bg-header {
    box-shadow: 0 2px 8px hsl(19, 64%, 24%, .1);
}


/* Active link */


/*=============== HOME ===============*/

.home {
    position: relative;
}

.home__container {
    row-gap: 3rem;
    padding-top: 2rem;
}

.home__img {
    width: 300px;
    justify-self: center;
}

.home__data {
    text-align: center;
}

.home__title {
    font-size: var(--biggest-font-size);
    font-family: var(--title-font);
    margin-bottom: 1rem;
}

.home__title img {
    width: 40px;
}

.home__title div {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: .5rem;
}

.home__description {
    padding: 0 1rem;
    margin-bottom: 2.5rem;
}

.home__leaf-1,
.home__leaf-2 {
    position: absolute;
    opacity: .2;
}

.home__leaf-1 {
    width: 80px;
    top: 8rem;
    left: -1rem;
    transform: rotate(90deg);
}

.home__leaf-2 {
    width: 100px;
    left: -2rem;
    bottom: 1rem;
    transform: rotate(90deg);
}


/*=============== BUTTON ===============*/

.button {
    display: inline-flex;
    align-items: center;
    column-gap: .5rem;
    background-color: var(--first-color);
    padding: 1rem 1.5rem;
    border-radius: 4rem;
    color: #fff;
    font-weight: var(--font-medium);
    transition: background .3s;
    width: 170px;
}

.button i {
    font-size: 1.5rem;
    transition: transform .3s;
}

.button:hover {
    background-color: var(--first-color-alt);
}

.button:hover i {
    transform: translateX(.25rem);
}


/*=============== ABOUT ===============*/

.about {
    position: relative;
}

.about__container {
    row-gap: 3rem;
}

.about__data {
    text-align: center;
}

.about__title img {
    width: 30px;
}

.about__title div {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: .5rem;
}

.about__img {
    width: 300px;
    justify-self: center;
}

.about__leaf {
    width: 100px;
    opacity: .2;
    position: absolute;
    right: -1.5rem;
    bottom: 11rem;
    transform: rotate(-15deg);
}


/*=============== POPULAR ===============*/

.popular__container {
    padding-top: 4rem;
    grid-template-columns: 250px;
    justify-content: center;
    row-gap: 5.5rem;
}

.popular__card {
    position: relative;
    background-color: var(--body-color);
    padding: 7rem 2rem 1.5rem;
    box-shadow: 0 8px 20px hsl(19, 64%, 48%, .08);
    border-radius: 1.5rem;
    text-align: center;
}

.popular__image {
    width: 250px;
    position: absolute;
    inset: 0;
    top: -2rem;
    margin: 0 auto;
    transition: transform .3s;
}

.popular__title {
    font-size: var(--h3-font-size);
    font-family: var(--title-font);
    margin-bottom: .25rem;
}

.popular__description {
    display: block;
    font-size: var(--smaller-font-size);
    margin-bottom: 1rem;
}

.popular__price {
    font-size: var(--h3-font-size);
    font-weight: var(--font-medium);
    color: var(--first-color);
}

.popular__button {
    display: flex;
    background-color: var(--first-color);
    padding: 6px;
    border-radius: 50%;
    outline: none;
    border: none;
    color: #fff;
    font-size: 1.25rem;
    box-shadow: 0 4px 20px hsl(19, 64%, 20%, .2);
    position: absolute;
    bottom: 1.25rem;
    right: 1.25rem;
    cursor: pointer;
    transition: background .3s;
}

.popular__button:hover {
    background-color: var(--first-color-alt);
}

.popular__card:hover .popular__img {
    transform: translateY(-.25rem);
}


/*=============== RECENTLY ===============*/

.recently {
    position: relative;
}

.recently__container {
    row-gap: 4rem;
}

.recently__data {
    position: relative;
    text-align: center;
}

.recently_description {
    margin-bottom: 2rem;
}

.recently__data-img {
    width: 25px;
    position: absolute;
    top: 3.5rem;
    right: 1.5rem;
    transform: rotate(30deg);
}

.recently__img {
    width: 300px;
    justify-self: center;
}

.recently__leaf-1,
.recently__leaf-2 {
    position: absolute;
    opacity: .2;
}

.recently__leaf-1 {
    width: 80px;
    top: 17rem;
    left: -1rem;
    transform: rotate(15deg);
}

.recently__leaf-2 {
    width: 40px;
    right: -1rem;
    bottom: 12rem;
    transform: rotate(-30deg);
}


/*=============== NEWSLETTER ===============*/

.newsletter__container {
    position: relative;
}

.newsletter__content {
    position: relative;
    background-color: hsl(19, 24%, 15%);
    border-radius: 2.5rem;
    padding: 5rem 1rem 3rem;
    text-align: center;
    overflow: hidden;
    margin-bottom: 2rem;
}

.newsletter__img {
    width: 250px;
    position: absolute;
    top: -4.5rem;
    left: -8rem;
}

.newsletter__data .section__title {
    color: #fff;
    margin-bottom: 2rem;
}

.newsletter__form {
    background-color: #fff;
    padding: 5px 5px 5px 16px;
    border-radius: 4rem;
    display: flex;
    column-gap: .5rem;
}

.newsletter__input,
.newsletter__button {
    font-family: var(--body-font);
    border: none;
    outline: none;
}

.newsletter__input {
    width: 90%;
    color: var(--text-color);
}

.newsletter__button {
    cursor: pointer;
}

.newsletter__spinach {
    width: 30px;
    position: absolute;
    right: 2rem;
    bottom: -2rem;
    transform: rotate(45deg);
}


/*=============== FOOTER ===============*/

.footer {
    position: relative;
    padding-block: 3rem 2rem;
    overflow: hidden;
}

.footer__container {
    row-gap: 3rem;
}

.footer__logo {
    display: inline-flex;
    align-items: center;
    column-gap: .5rem;
    color: var(--title-color);
    font-family: var(--title-font);
    font-size: var(--h3-font-size);
    font-weight: var(--font-semi-bold);
    margin-bottom: 1rem;
    transition: color .3s;
}

.footer__logo img {
    width: 25px;
}

.footer__logo:hover {
    color: var(--first-color);
}

.footer__description,
.footer__link,
.footer__information {
    font-size: var(--small-font-size);
}

.footer__content,
.footer__links {
    display: grid;
}

.footer__content {
    grid-template-columns: repeat(2, max-content);
    gap: 2.5rem;
}

.footer__title {
    font-size: var(--h3-font-size);
    margin-bottom: 1.5rem;
}

.footer__links {
    row-gap: .5rem;
}

.footer__link {
    color: var(--text-color);
    transition: color .3s;
}

.footer__link:hover {
    color: var(--first-color);
}

.footer__social {
    display: flex;
    column-gap: 1.25rem;
}

.footer__social-link {
    color: var(--first-color);
    font-size: 1.25rem;
    transition: color .3s transform .3s;
}

.footer__social-link:hover {
    color: var(--first-color-alt);
    transform: translateY(-2px);
}

.footer__onion,
.footer__spinach {
    width: 30px;
    position: absolute;
}

.footer__onion {
    top: 7.5rem;
    right: 5rem;
    transform: rotate(-45deg);
}

.footer__spinach {
    bottom: 8rem;
    left: 3rem;
    transform: rotate(30deg);
}

.footer__leaf {
    width: 100px;
    opacity: .2;
    position: absolute;
    bottom: 6rem;
    right: -2rem;
    transform: rotate(-15deg);
}

.footer__info,
.footer__card {
    display: flex;
}

.footer__info {
    margin-top: 6.5rem;
    flex-direction: column;
    row-gap: 1.5rem;
}

.footer__card {
    column-gap: 1rem;
    justify-content: center;
}

.footer__card img {
    width: 35px;
}

.footer__copy {
    text-align: center;
    font-size: var(--smaller-font-size);
    color: var(--text-color-light);
}


/*=============== SCROLL BAR ===============*/

::-webkit-scrollbar {
    width: 0.6rem;
    border-radius: .5rem;
    background-color: hsl(19, 8%, 75%);
}

::-webkit-scrollbar-thumb {
    border-radius: .5rem;
    background-color: hsl(19, 8%, 65%);
}

::-webkit-scrollbar-thumb:hover {
    background-color: hsl(19, 8%, 55%);
}


/*=============== SCROLL UP ===============*/

.scrollup {
    position: fixed;
    right: 1rem;
    bottom: -50%;
    background-color: var(--container-color);
    box-shadow: 0 4px 12px hsl(19, 64%, 24%, .1);
    display: inline-flex;
    padding: .35rem;
    border-radius: .25rem;
    font-size: 1.1rem;
    color: var(--first-color);
    z-index: var(--z-tooltip);
    transition: bottom .3s, transform .3s, background .3s;
}

.scrollup:hover {
    transform: translateY(-.25rem);
}


/* Show Scroll Up*/

.show-scroll {
    bottom: 3rem;
}

.active-link {
    color: var(--first-color);
}


/*=============== BREAKPOINTS ===============*/


/* For small devices */

@media screen and (max-width:340px) {
    .container {
        margin-inline: 1rem;
    }
    .section {
        padding-block: 4rem 1rem;
    }
    .home__title {
        font-size: 2rem;
    }
    .home__leaf-1 {
        top: 5rem;
    }
    .home__leaf-2 {
        bottom: 0;
    }
    .about__leaf {
        bottom: 8rem;
    }
    .recently__data-img {
        right: .5rem;
    }
    .newsletter__content {
        padding: 6rem 1rem 2rem;
    }
    .newsletter__form {
        flex-direction: column;
        background: none;
        row-gap: 1rem;
    }
    .newsletter__input {
        width: initial;
        padding: 1rem;
        border-radius: 4rem;
    }
    .newsletter__button {
        justify-content: center;
    }
    .footer__content {
        gap: 1.5rem;
    }
}


/* For medium devices */

@media screen and (max-width:576px) {
    .home__container,
    .about__container,
    .recently__container,
    .newsletter__content {
        grid-template-columns: .7fr;
        justify-content: center;
    }
    .footer__content {
        grid-template-columns: repeat(3, max-content);
    }
}

@media screen and (min-width:767px) {
    .nav {
        column-gap: 3rem;
    }
    .nav__toggle,
    .nav__close,
    .nav__img-1,
    .nav__img-2 {
        display: none;
    }
    .nav__list {
        flex-direction: row;
        column-gap: 3rem;
    }
    .nav__menu {
        margin-left: auto;
    }
    .popular__container {
        grid-template-columns: repeat(2, 250px);
    }
    .footer__content {
        grid-template-columns: repeat(4, max-content);
    }
}


/* For large devices */

@media screen and (min-width:1024px) {
    .section {
        padding-block: 7rem 1.5rem;
    }
    .section__subtitle {
        margin-bottom: .75rem;
    }
    .nav {
        height: calc(var(--header-height) + 1.5rem);
    }
    .home__container {
        position: relative;
        grid-template-columns: 480px 500px;
        padding-block: 7rem 3rem;
    }
    .home__data {
        text-align: inherit;
        order: -1;
    }
    .home__title img {
        width: 60px;
    }
    .home__title div {
        justify-content: initial;
        column-gap: 1rems;
    }
    .home__description {
        padding-inline: 0 10rem;
    }
    .home__img {
        width: 600px;
        position: absolute;
        top: 5rem;
        right: -2rem;
    }
    .about__container {
        grid-template-columns: 480px 360px;
        align-items: center;
        column-gap: 7rem;
    }
    .about__data {
        order: 1;
    }
    .about__data,
    .about .section__title,
    .about .section__subtitle {
        text-align: initial;
    }
    .about__title div {
        column-gap: 1rem;
        justify-content: initial;
    }
    .about__title img {
        width: 50px;
    }
    .about__img {
        width: 450px;
    }
    .popular__container {
        grid-template-columns: repeat(3, 262px);
        column-gap: 3.5rem;
        padding-block: 6rem 4rem;
    }
    .popular__card {
        padding: 7.5rem 2rem 2rem;
        border-radius: 1.5rem;
    }
    .popular__img {
        width: 230px;
    }
    .popular__button {
        bottom: 2rem;
    }
    .recently__container {
        grid-template-columns: 350px 480px;
        align-items: center;
        column-gap: 7rem;
        padding-bottom: 2rem;
    }
    .recently__data,
    .recently .section__subtitle,
    .recently .section__title {
        text-align: initial;
    }
    .recently__data-img {
        width: 30px;
        top: 5.5rem;
        right: 2.5rem;
    }
    .recently__img {
        width: 480px;
    }
    .newsletter__content {
        grid-template-columns: 350px 360px;
        align-items: center;
        column-gap: 6rem;
        padding: 2.5rem 0;
        border-radius: 4.5rem;
    }
    .newsletter__img {
        position: initial;
        width: 350px;
    }
    .newsletter .section__subtitle,
    .newsletter .section__title {
        text-align: initial;
    }
    .newsletter .section__title {
        margin-bottom: 2.5rem;
    }
    .newsletter__form {
        padding: 8px 8px 8px 24px;
    }
    .newsletter__button {
        font-size: var(--normal-font-size);
    }
    .newsletter__spinach {
        width: 40px;
        right: 5rem;
        bottom: -2.5rem;
    }
    .footer {
        padding-block: 8rem 3rem;
    }
    .footer__container {
        position: relative;
        grid-template-columns: repeat(2, max-content);
        justify-content: space-between;
    }
    .footer__content {
        column-gap: 4rem;
    }
    .footer__title,
    .footer__description,
    .footer__link,
    .footer__information {
        font-size: var(--normal-font-size);
    }
    .footer__social-link {
        font-size: 1.5rem;
    }
    .footer__info {
        flex-direction: row;
        justify-content: space-between;
        margin-top: 8.5rem;
    }
    .footer__copy {
        order: -1;
    }
    .footer__spinach {
        bottom: -3rem;
        left: 6rem;
    }
    .footer__onion {
        right: 1rem;
    }
    .scrollup {
        right: 3rem;
    }
}

@media screen and (min-width:1064px) {
    .container {
        margin-inline: auto;
    }
}

@media screen and (min-width:1280px) {
    .home__leaf-1 {
        width: 150px;
        top: 5rem;
    }
    .home__leaf-1 {
        width: 180px;
        right: -4rem;
    }
    .about__leaf {
        width: 200px;
        bottom: 3rem;
    }
    .recently__leaf-1 {
        width: 150px;
        top: 19rem;
    }
    .recently__leaf-1 {
        width: 100px;
        bottom: 15rem;
    }
    .footer__leaf {
        right: 0;
        left: 0;
        bottom: -15rem;
        margin: 0 auto;
        width: 150px;
    }
}